<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { useRouter } from 'vue-router';
import Modal from '@/components/general/Modal.vue';
const emits = defineEmits<{
    (e: 'close', value:boolean):void
}>();
const router = useRouter();
const handleSubmit = ()=>{
    handleClose(true);
    //router.push({name: "registration"});
}

const handleClose = (value:boolean)=>{
    emits('close', value);
}

</script>
<template>
<Modal :header="$t('account.notExist.title')" :text="$t('account.notExist.text')" :labelSubmit="$t('general.variables.create')" :labelCancel="$t('general.buttons.cancel')" @submit="handleSubmit" @cancel="handleClose(false)"/>
</template>